package com.patzn.lims.workflow.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.workflow.ActReProcdef;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 工作流解析表 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-10-21
 */
public interface IActReProcdefService extends IBaseService<ActReProcdef> {

    Page<ActReProcdef> page(Page<ActReProcdef> page, ActReProcdef actReProcdef);

    List<ActReProcdef> list(ActReProcdef actReProcdef);

    void bpnm(HttpServletResponse response, boolean xml, String id);

    List<Map<String, Object>> listTask(Account account, String name);

    Page<Map<String, Object>> pageTask(Page<Map<String, Object>> page, Account account, String name);

    long countTask(Account account);

}
